Package picard.illumina.parser

# Class IlluminaFileUtil

java.lang.Object
picard.illumina.parser.IlluminaFileUtil

public class IlluminaFileUtil extends Object
General utils for dealing with IlluminaFiles as well as utils for specific, support formats. This class contains utils that span across multiple Illumina files but it's primary intent was to provide support for basic file types. Each supported file type can be accessed via a factory method (make<filetype>Ft). When IlluminaFileUtil is created it is parameterized by basecallDir and lane and all IlluminaFileTypes created by IlluminaFileUtil will also be parameterized in this fashion.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static enum`
`IlluminaFileUtil.SupportedIlluminaFormat`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final Pattern`
`CYCLE_SUBDIRECTORY_PATTERN`

## Constructor Summary

Constructors
Constructor
Description
`IlluminaFileUtil(File basecallDir, int lane)`
`IlluminaFileUtil(File basecallDir, File barcodeDir, int lane)`

## Method Summary

Modifier and Type
Method
Description
`List<Integer>`
`getActualTiles(List<IlluminaFileUtil.SupportedIlluminaFormat> formats)`
Get the available tiles for the given formats, if the formats have tile lists that differ then throw an exception, if any of the format
`List<Integer>`
`getExpectedTiles()`
Return the list of tiles we would expect for this lane based on the metrics found in InterOp/TileMetricsOut.bin
`int`
`getLane()`
Return the lane we're inspecting
`ParameterizedFileUtil`
`getUtil(IlluminaFileUtil.SupportedIlluminaFormat format)`
Given a file type, get the Parameterized File Util object associated with it
`static boolean`
`hasCbcls(File basecallDir, int lane)`
`static String`
`longLaneStr(int lane)`
`File`
`tileMetricsOut()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### CYCLE_SUBDIRECTORY_PATTERN

public static final Pattern CYCLE_SUBDIRECTORY_PATTERN

## Constructor Details

### IlluminaFileUtil

public IlluminaFileUtil(File basecallDir, int lane)

### IlluminaFileUtil

public IlluminaFileUtil(File basecallDir, File barcodeDir, int lane)

## Method Details

### getLane

public int getLane()
Return the lane we're inspecting

### getUtil

public ParameterizedFileUtil getUtil(IlluminaFileUtil.SupportedIlluminaFormat format)
Given a file type, get the Parameterized File Util object associated with it

### getExpectedTiles

public List<Integer> getExpectedTiles()
Return the list of tiles we would expect for this lane based on the metrics found in InterOp/TileMetricsOut.bin

### getActualTiles

public List<Integer> getActualTiles(List<IlluminaFileUtil.SupportedIlluminaFormat> formats)
Get the available tiles for the given formats, if the formats have tile lists that differ then throw an exception, if any of the format

### tileMetricsOut

public File tileMetricsOut()

### longLaneStr

public static String longLaneStr(int lane)

### hasCbcls

public static boolean hasCbcls(File basecallDir, int lane)